%if 0%{?rhel} && 0%{?rhel} <= 7
%bcond_with python3
%else
%bcond_without python3
%endif

%global pypi_name prompt_toolkit

Name:           python-%{pypi_name}
Version:        1.0.9
Release:        1%{?dist}
Summary:        Library for building powerful interactive command lines in Python
License:        BSD
URL:            https://github.com/jonathanslenders/python-prompt-toolkit
Source0:        https://pypi.io/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
prompt_toolkit is a library for building powerful interactive command lines
and terminal applications in Python.

%package -n     python2-%{pypi_name}
Summary:        Library for building powerful interactive command lines in Python
%{?python_provide:%python_provide python2-%{pypi_name}}
%{?el6:Provides: python-%{pypi_name}}
 
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
Requires:       python-pygments
Requires:       python-six >= 1.9.0
Requires:       python-wcwidth

%description -n python2-%{pypi_name}
prompt_toolkit is a library for building powerful interactive command lines
and terminal applications in Python.

%if %{with python3}
%package -n     python3-%{pypi_name}
Summary:        Library for building powerful interactive command lines in Python
%{?python_provide:%python_provide python3-%{pypi_name}}
 
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python3-pygments
Requires:       python3-six >= 1.9.0
Requires:       python3-wcwidth

%description -n python3-%{pypi_name}
prompt_toolkit is a library for building powerful interactive command lines
and terminal applications in Python.
%endif # with python3

%prep
%setup -q -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%build
%py2_build
%if %{with python3}
%py3_build
%endif # with python3

%install
%if %{with python3}
%py3_install
%endif # with python3
%py2_install


%files -n python2-%{pypi_name} 
%{!?_licensedir:%global license %doc}
%doc README.rst AUTHORS.rst CHANGELOG
%license LICENSE
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%if %{with python3}
%files -n python3-%{pypi_name} 
%doc README.rst AUTHORS.rst CHANGELOG
%license LICENSE
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%endif # with python3

%changelog
* Sun Dec 11 2016 Fabio Alessandro Locati <fale@redhat.com> - 1.0.9-1
- Update to 1.0.9

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Fri May 06 2016 Fabio Alessandro Locati <fale@redhat.com> - 1.0.0-1
- Update to 1.0.0

* Tue Mar 29 2016 Fabio Alessandro Locati <fale@redhat.com> - 0.60-1
- Update to 0.60

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.57-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jan 12 2016 Fabio Alessandro Locati <fale@redhat.com> - 0.57-2
- Make the EL6 package provide python-prompt_toolkit too

* Sat Jan 09 2016 Fabio Alessandro Locati <fale@redhat.com> - 0.57-1
- New upstream update

* Wed Jan 06 2016 Fabio Alessandro Locati <fale@redhat.com> - 0.54-2
- Fix quiet setup
- Fix license
- Add AUTHORS.rst, CHANGELOG & TODO.rst

* Tue Dec 29 2015 Fabio Alessandro Locati <fale@redhat.com> - 0.54-1
- Initial package.
